# Nix derivation to enter a shell with dependencies needed to build Python with pyenv.
# Start a shell with:
# $ nix-shell --run zsh ./pyenv-shell.nix
# Then install a Python version as usual. E.g.:
# $ pyenv install 3.12.5

with import <nixpkgs> {};
stdenv.mkDerivation {
    name = "pybuild";
    buildInputs = [
      bzip2
      git
      libffi
      libxcrypt
      libxml2
      libxslt
      libzip
      lzma
      ncurses
      openssl
      pkg-config
      readline
      sqlite
      stdenv.cc.cc
      taglib
      tk
      zlib
      pyenv
   ];
}
